#ifndef	CRC32_H_INCLUDED
#define	CRC32_H_INCLUDED

#include	<windows.h>

typedef unsigned long	crc32_t;

#define	CRC32_MAX_BUFFER_SIZE	(65536)

class	Crc32
{
private:
	crc32_t		r;

public:
	Crc32();
//	~Crc32();

	void		Init(void);
	void		Calc(unsigned c);
	void		Calc(unsigned size, const BYTE * data);
	crc32_t		GetCrc(void);
	int			CalcFile(HANDLE hFile);
};

#endif
